using System.Linq;
using BO.AppServer.Data.Entity;
using Quadarax.Foundation.Core.Data;
using Quadarax.Foundation.Core.Data.Domain;
using Quadarax.Foundation.Core.Data.Interface.Domain;
using Quadarax.Foundation.Core.Data.Repository;

public class BillingPlanRepo : EntityRepository<long,  BillingPlan>
    {
        public BillingPlanRepo(IUnitOfWork<DataDomain> unitOfWork) : base(unitOfWork)
        {
        }

        
        public BillingPlan GetByCode(string code)
        {
            return Query(new Paging()).FirstOrDefault(x => x.Code.ToUpper() == code.ToUpper());
        }
    }